Change agent privilege level

Base URL
https://{kibana_url}
Auth

Change the privilege level of a single agent to unprivileged.

Required privileges

Privileges fleet-agents-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

agentId string required

The agent ID to change privilege level for

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

Responses

OK: A successful request.

application/json
Any of:
actionId string required
Base URL
https://{kibana_url}